Subject: [Netconf] FW: DISCUSS and COMMENT: draft-ietf-netconf-notification

From: "Bert Wijnen - IETF" <[email-masked]>
Date: Fri, 28 Mar 2008 00:18:42 +0100

OK, so I propose this is one thing to be fixed by the authors
(together with the otehr things that need fixing).

Bert Wijnen 

-----Oorspronkelijk bericht-----
Van: Romascanu, Dan (Dan) [mailto:[email-masked]]
Verzonden: donderdag 27 maart 2008 20:55
Aan: Sharon Chisholm; Pasi Eronen; [email-masked]
CC: [email-masked]; [email-masked];
[email-masked]; [email-masked]
Onderwerp: RE: DISCUSS and COMMENT: draft-ietf-netconf-notification

From the argumentation that Pasi made in the telechat, it looks like the
practice of referring schemas with URLs is not used in RFCs, as it leads
to potentially high traffic on servers. Specifically Pasi wrote the
following: 

------------------

To give more background: a very long time ago, W3C decided to use http
URIs for HTML DTD/schema names; today, they're seeing "up to 130 million
requests per day, with periods of sustained bandwidth usage of 350Mbps":

http://www.w3.org/blog/systeam/2008/02/08/w3c_s_excessive_dtd_traffic

In the case of netconf-notification, there's doesn't seem to From [email-masked]  Thu Mar 27 16:21:08 2008
From: "Bert Wijnen - IETF" <[email-masked]>
To: "Sharon Chisholm" <[email-masked]>,
	"Hector Trevino \(htrevino\)" <[email-masked]>
Date: Fri, 28 Mar 2008 00:18:42 +0100
Importance: Normal
Cc: Netconf <[email-masked]>
Subject: [Netconf] FW: DISCUSS and COMMENT: draft-ietf-netconf-notification
Sender: [email-masked]

OK, so I propose this is one thing to be fixed by the authors
(together with the otehr things that need fixing).

Bert Wijnen 

-----Oorspronkelijk bericht-----
Van: Romascanu, Dan (Dan) [mailto:[email-masked]]
Verzonden: donderdag 27 maart 2008 20:55
Aan: Sharon Chisholm; Pasi Eronen; [email-masked]
CC: [email-masked]; [email-masked];
[email-masked]; [email-masked]
Onderwerp: RE: DISCUSS and COMMENT: draft-ietf-netconf-notification

From the argumentation that Pasi made in the telechat, it looks like the
practice of referring schemas with URLs is not used in RFCs, as it leads
to potentially high traffic on servers. Specifically Pasi wrote the
following: 

------------------

To give more background: a very long time ago, W3C decided to use http
URIs for HTML DTD/schema names; today, they're seeing "up to 130 million
requests per day, with periods of sustained bandwidth usage of 350Mbps":

http://www.w3.org/blog/systeam/2008/02/08/w3c_s_excessive_dtd_traffic

In the case of netconf-notification, there's doesn't seem to be any
advantage in using http URIs (compared to the "urn:ietf:params:xml:..."
URNs that all current RFCs
use): no valid NETCONF implementation will ever need to download the
schema from IANA. Therefore, I don't think we should take a risk by
trying something totally new here.

--------------------

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Sharon Chisholm
> Sent: Thursday, March 27, 2008 9:45 PM
> To: Pasi Eronen; [email-masked]
> Cc: [email-masked]; 
> [email-masked]; 
> [email-masked]; [email-masked]
> Subject: RE: DISCUSS and COMMENT: draft-ietf-netconf-notification
> 
> Hi
> 
> I assume you are referring to the following:
> 
>      <!-- import base netconf definitions -->
>      <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0"
>        schemaLocation=
>      
> "http://www.iana.org/assignments/xml-registry/schema/netconf.xsd"/>
> 
> 
> Is there a specific issue with this? The link works.
> 
> For expressing the restrictions on stopTime/startTime in the 
> XSD, can you propose specific syntax? 
> 
> Sharon
> 
> -----Original Message-----
> From: Pasi Eronen [mailto:[email-masked]]
> Sent: Thursday, March 27, 2008 9:48 AM
> To: [email-masked]
> Cc: [email-masked];
> [email-masked]; Chisholm, 
> Sharon (CAR:ZZ00); [email-masked]; [email-masked]
> Subject: DISCUSS and COMMENT: draft-ietf-netconf-notification
> 
> Discuss:
> The schema "import" statements have HTTP URLs pointing to 
> www.iana.org. 
> I don't think any IETF XML schema has done this before?
> 
> Comment:
> The restrictions "[replayLogCreationTime] MUST be present if 
> replay is supported" could be expressed in XML schema, 
> instead of just documentation. Ditto for "[stopTime] must be 
> used with startTime".
> 
> 

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

be any
advantage in using http URIs (compared to the "urn:ietf:params:xml:..."
URNs that all current RFCs
use): no valid NETCONF implementation will ever need to download the
schema from IANA. Therefore, I don't think we should take a risk by
trying something totally new here.

--------------------

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Sharon Chisholm
> Sent: Thursday, March 27, 2008 9:45 PM
> To: Pasi Eronen; [email-masked]
> Cc: [email-masked]; 
> [email-masked]; 
> [email-masked]; [email-masked]
> Subject: RE: DISCUSS and COMMENT: draft-ietf-netconf-notification
> 
> Hi
> 
> I assume you are referring to the following:
> 
>      <!-- import base netconf definitions -->
>      <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0"
>        schemaLocation=
>      
> "http://www.iana.org/assignments/xml-registry/schema/netconf.xsd"/>
> 
> 
> Is there a specific issue with this? The link works.
> 
> For expressing the restrictions on stopTime/startTime in the 
> XSD, can you propose specific syntax? 
> 
> Sharon
> 
> -----Original Message-----
> From: Pasi Eronen [mailto:[email-masked]]
> Sent: Thursday, March 27, 2008 9:48 AM
> To: [email-masked]
> Cc: [email-masked];
> [email-masked]; Chisholm, 
> Sharon (CAR:ZZ00); [email-masked]; [email-masked]
> Subject: DISCUSS and COMMENT: draft-ietf-netconf-notification
> 
> Discuss:
> The schema "import" statements have HTTP URLs pointing to 
> www.iana.org. 
> I don't think any IETF XML schema has done this before?
> 
> Comment:
> The restrictions "[replayLogCreationTime] MUST be present if 
> replay is supported" could be expressed in XML schema, 
> instead of just documentation. Ditto for "[stopTime] must be 
> used with startTime".
> 
> 

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf